Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class MaterialLogic

    java.lang.Object
      net.minecraft.src.Material
          net.minecraft.src.MaterialLogic

    public class MaterialLogic

extends Material

Field Summary

Fields inherited from class net.minecraft.src.Material
`air, cactus, cake, circuits, clay, cloth, craftedSnow, dragonEgg, field_76261_t, fire, glass, grass, ground, ice, iron, lava, leaves, materialMapColor, piston, plants, portal, pumpkin, redstoneLight, rock, sand, snow, sponge, tnt, vine, water, web, wood`

Constructor Summary
`MaterialLogic(MapColor par1MapColor)`

Method Summary
`boolean` | `blocksMovement()` Returns if this material is considered solid or not
`boolean` | `getCanBlockGrass()` Will prevent grass from growing on dirt underneath and kill any grass below it if it returns true
`boolean` | `isSolid()`

Methods inherited from class net.minecraft.src.Material
`getCanBurn, getMaterialMobility, isGroundCover, isHarvestable, isLiquid, isOpaque, setGroundCover`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MaterialLogic

    public MaterialLogic(MapColor par1MapColor)

Method Detail

### isSolid

    public boolean isSolid()

  Overrides:
    `isSolid` in class `Material`

### getCanBlockGrass

    public boolean getCanBlockGrass()

  Will prevent grass from growing on dirt underneath and kill any grass below it if it returns true

  Overrides:
    `getCanBlockGrass` in class `Material`

### blocksMovement

    public boolean blocksMovement()

  Returns if this material is considered solid or not

  Overrides:
    `blocksMovement` in class `Material`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD